gtk-sharp 0.0.0.0 neutral Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. A factory for menus. Gtk.Object GLib.IWrapper System.IDisposable
- Method
  System.String `` If has been created by an item factory, returns the full path to it. A . The full path to if it has been created by an item factory, otherwise. This value is owned by GTK+ and must not be modified or freed.

  The full path of a is the concatenation of the factory path specified in with the path specified in the from which the was created.

- Method
  Gtk.ItemFactory `` Obtains the item factory from which a was created. A . The item factory from which was created, or .
- Method
  System.IntPtr `` Obtains the which was passed to . A . associated with the item factory from which was created, or if wasn't created by an item factory.

  This data is available until the menu is popped down again.

- Method
  System.Void `` `` `` `` `` Installs an accelerator for in , that causes the activate event to be emitted it the accelerator is activated. Widget to install an accelerator on. The full path for the . The accelerator group to install the accelerator in. Key value of the accelerator. Modifier combination of the acelerator.

  This method can be used to make widgets participate in the accel saving/restoring functionality provided by and , even if they haven't been created by an item factory. The recommended API for this purpose are the and ; don't use in new code, since it is likely to be removed in the future.

- Method
  System.Void `` `` Deletes the menu items which were created from the entries by the given item factory. The length of . An array of s.
- Method
  Gtk.Widget `` Obtains the menu item which correponds to . A (TODO: where is this enumerated?) A
- Method
  System.Void `` Deletes the menu item which was created from by the given item factory. A .
- Method
  System.Void `` `` `` Creates an item for . The to create an item for. Data passed to the callback method of . 1 if the callback method of is of type , 2 if it is of type .
- Method
  Gtk.Widget `` Obtains the which corresponds to . A (TODO: where is this enumerated?) A
- Method
  Gtk.Widget `` Obtains the menu item which corresponds to . The path to the menu item. The menu item for the given path, or if doesn't lead to a menu item.

  If the corresponding to is a menu item which opens a submenum, then the item is returned. If you are interested in the submenum, use instead.

- Method
  System.Void `` Deletes the menu item which was created for by the given item factory. A path.
- Method
  System.IntPtr Obtains the which was passed to . associated.

  This data is available until the menu is popped down again.

- Method
  System.Void `` `` `` Creates the menu items from the . The length of . An array of s whose members must be of type . Data passed to the callback methods of all entries.
- Method
  Gtk.Widget `` Obtains the which corresponds to . The path to the . The for the given path, or if doesn't lead to a .

  If the corresponding to is a menu item which opens a submenu, then the submenu is returned. If you are interested in the menu item, use instead.

- Method
  System.Void `` `` `` Sets a method to be used for translating the path elements before they are displayed. The delegate to be used to traslate path elements. Data to pass to and . A delegate to be called when the object is destroyed and when the translation is changed again.
- Method
  System.Void Disposes the resources associated with the object.
- Constructor
  Internal constructor
  Pointer to the C object.
  An instance of ItemFactory, wrapping the C object.

  This is an internal constructor, and should not be used by user code.

- Method
  System.Void `` `` `` `` `` `` Pops up the menu constructed form the item factory at (, ). Data available for callbacks while the menu is posted. A to be called on when the menu is unposted. The x position. The y position. The mouse button which was pressed to initiate the popup. The time at which the activation event ocurred.

  Callbacks can access the while the menu is posted via and .

  The should be the mouse button pressed to initiate the menu popup. If the menu popup was initiated by something other than a mouse button press, such as a mouse button release or a keypress, should be 0.

  The should be the time stamp of the event that initiated the popup. If such a event is not available, use instead.

  The operation of the and the is the same as the and for .

- Method
  System.Void `` `` `` `` Pops up the menu constructed form the item factory at (, ). The x position. The y position. The mouse button which was pressed to initiate the popup. The time at which the activation event ocurred.

  The should be the mouse button pressed to initiate the menu popup. If the menu popup was initiated by something other than a mouse button press, such as a mouse button release or a keypress, should be 0.

  The should be the time stamp of the event that initiated the popup. If such a event is not available, use instead.

  The operation of the and the is the same as the and for .

- Property
  GLib.GType GType Property. a Returns the native value for .
- Method
  System.Void `` `` `` Initializes a The kind of menu to create; can be , , or the factory path of the new item factory, a string of the form "<name>" a to which the accelerators for the menu items will be added, or null to create a new one
- Constructor
  Protected Constructor.
  a
  a
  Chain to this constructor if you have manually registered a native value for your subclass.
- Constructor
  Basic constructor.
  The kind of menu to create; can be , , or
  the factory path of the new item factory, a string of the form "<name>"
  a to which the accelerators for the menu items will be added, or null to create a new one
  a
- Constructor
  Protected constructor.
  a
- Method
  Gtk.ItemFactory `` To be added a a To be added
- Method
  System.Void `` `` To be added a a To be added
- Method
  System.Void `` `` `` `` To be added a a a a To be added